com.h3c.util.codec

## Class EntropicStringSetCodec

- java.lang.Object
- - com.h3c.util.codec.StringSetCodec
  - - com.h3c.util.codec.EntropicStringSetCodec

- All Implemented Interfaces:
    Encodable, EntropicStringCodec, StringCodec
  Direct Known Subclasses:
    ClassNameCodec

      public class EntropicStringSetCodec
      extends StringSetCodec
      implements EntropicStringCodec

  This class is a specialization of `StringSetCodec` that allows mappings to be added to the codec after it has been constructed.
  See Also:
    `CodecFactory`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(String original)` This method adds another original string to the codec.
    `void` | `addAll(Set<String> originals)` This method adds more original (unencoded) strings to the codec.

    - ### Methods inherited from class com.h3c.util.codec.StringSetCodec

      `decode, encode, equals, hashCode, size, toDebugString, toEncodedString, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.h3c.util.codec.StringCodec

      `decode, encode, size`

- - ### Method Detail

    - #### add

          public void add(String original)

      Description copied from interface: `EntropicStringCodec`
      This method adds another original string to the codec. The implementation will assign a unique encoded form for the string and add it to its internal map.
      Specified by:
        `add` in interface `EntropicStringCodec`
      Parameters:
        `original` - an original (unencoded) string

    - #### addAll

          public void addAll(Set<String> originals)

      Description copied from interface: `EntropicStringCodec`
      This method adds more original (unencoded) strings to the codec. The implementation will assign a unique encoded form for each string and add them to its internal map.
      Specified by:
        `addAll` in interface `EntropicStringCodec`
      Parameters:
        `originals` - an original (unencoded) string

Copyright © 2014. All Rights Reserved.